<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$us_adm = intval($_GET['id']);
$ank_adm=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $us_adm LIMIT 1"));

$set['title']='Гостевая книга '.$ank_adm['nick']; // заголовок страницы

include_once '../sys/inc/thead.php';
title();

if ($ank_adm['us_guest']!=NULL)
if (isset($user) && $user['level']>2)include 'inc/admin_act.php';

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
$msg = strtr($msg, array('.ru'=>'LAFES  очень клевый сайт!', '.r u'=>'[реклама]', '.net'=>'[реклама]', '.n e t'=>'[реклама]', 'http://'=>'SPAM!!!', '.org'=>'[реклама]', 'ru'=>'SPAM!!!', 'net'=>'[lafes.ru]', 'com'=>'SPAM!!!', 'h2m.ru'=>'SPAM!!!', 'biz'=>'lafes.ru', 'b i z'=>'lafes.ru', 'tk'=>'lafes.ru', 'mobi'=>'lafes.ru', 'in'=>'lafes.ru', 'us'=>'lafes.ru', 'i n'=>'lafes.ru', 'u s'=>'lafes.ru', 'spaces'=>'lafes', 'www'=>'iii', 'wap'=>'lafes.ru', 'kisma'=>'lafes.ru', '.ру'=>'писюн тебе', '.р у'=>'lafes.ru', '.нет'=>'lafes.ru', 'Ru'=>'lafes.ru', 'RU'=>'lafes.ru', 'rU'=>'lafes.ru', 'NET'=>'lafes.ru', 'US'=>'lafes.ru', 'IN'=>'lafes.ru'));
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
else{
$msg=mysql_escape_string($msg);
mysql_query("INSERT INTO `us_guest` (id_user,id_user_adm, time, msg) values('$user[id]', '$us_adm', '$time', '$msg')");
//mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Успешно добавлено');

if (isset($user) && $user['id']!=$us_adm){
$msg2="[b]$user[nick][/b] оставил сообщение в вашей [url=/us_guest/index.php?id=$us_adm]гостевой книге[/url]";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us_adm', '$msg2', '$time')");
$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$user[id]' AND `lenta_forum` = '1' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_obsuzh="добавил новое сообщение в гостевую обитателя [url=/info.php?id=$ank_adm[id]/][b]$ank_adm[nick][/b][/url]";

mysql_query("INSERT INTO `obsuzh` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_obsuzh', '$time')"); 
}
}
}
}

if (isset($_POST['msg']) && !isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-300){$err='Для того чтобы чаще писать нужно авторизоваться';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `id_user_adm` = $us_adm AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);
$_SESSION['antiflood']=$time;
mysql_query("INSERT INTO `us_guest` (id_user, id_user_adm, time, msg) values('0', '$us_adm', '$time', '$msg')");
msg('Сообщение добавлено + 1 LM');
}
}

err();
echo "<div class='mytitle'>";
echo "".online($ank_adm['id'])." <a href='/info.php?id=$ank_adm[id]'><span style=\"color:$ank_adm[ncolor]\">$ank_adm[nick]</span></a>\n";
echo "</div>\n";
echo "<div class='userline'>";
echo "<img src='/style/img/refresh.png' alt='' class='icon'/>\n";
echo " <a href='/us_guest/index.php?id=$ank_adm[id]/".rand(1000,9999)."/'><font color='#a19f9b'><u>Обновить переписку</u></font></a>\n";
echo "</div>\n";
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `us_guest` WHERE `id_user_adm` = $us_adm"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "<div class='komm'>";
echo "Гостевая пуста!<br/>\n";
echo "</div>\n";
}

$q=mysql_query("SELECT * FROM `us_guest` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

if($num==1){ echo "<div class='linechat'>"; 
$num=0;}
else
{echo "<div class='linechat'>";
$num=1;}

echo "".online($ank['id'])." ";
echo " <a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a> \n";
if ($ank['obit']==0)
{
if ($ank['group_access']>1)echo "<img src='/style/adm.png'>\n";
}

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time'"), 0)!=0)
echo "<font color='red'>[BAN]</font>\n";
echo " <br />";

echo "<span style=\"color:$ank[mcolor]\">";
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";
echo "</span>";
if ($post['reply']!=NULL){
echo "<span style=\"color:$ank_adm[mcolor]\">";
echo '<font color="red"><b>Ответ:</b></font> '.esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['reply'])))))))).'';
echo "</span>";

}
echo "<div style='text-align: right;'> <font color='#afb0a3'>".vremja($post['time'])."</font>\n";
if (isset($user) && $user['id']==$ank_adm['id']){
echo '<a href="reply.php?id='.$post['id'].'"><img src="/style/img/006.png"></img></a> ';
echo "<a href='delete.php?id=$post[id]'><img src='/style/img/005.png'></img></a><br />\n";
}
echo "</div>\n";
echo "</div>\n";

}



if ($k_page>1)str('?id='.$ank_adm['id'].'&amp;',$k_page,$page); // Вывод страниц
if ($ank_adm['guest_closed']==0)
{
if (isset($user))
{
echo "<div class='textmes'>";
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "<textarea name=\"msg\"></textarea><br />\n";
echo "<input value=\"Отправить сообщение\" type=\"submit\" />\n";
echo "</form>\n";
echo "</div>\n";
echo "<img src='/style/img/refresh.png' alt='' class='icon'/>\n";
echo " <a href='/us_guest/index.php?id=$ank_adm[id]/".rand(1000,9999)."/'><font color='#a19f9b'><u>Обновить переписку</u></font></a>\n";
}
}
echo "<div class='foot'>";
echo "<a href='/smiles/index.php'>Смайлы</a>\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
?>
